random-sleep(1)

NAME
random-sleep - waits for a randomly selected time

SYNOPSIS
random-sleep min_delay max_delay [-q | - -quiet] [-w | - -verbose]
random-sleep [-h | - -help]
random-sleep [-v | - -version]

DESCRIPTION
random-sleep waits for a randomly selected time. The sleep time is chosen from the interval [min_delay, max_delay] given in seconds. Fractional seconds are supported.

ARGUMENTS
The following options are available:

min_delay
    The minimum delay.

max_delay
    The maximum delay.

-q | - -quiet
    Quiet mode: no output is made.

-w | - -verbose
    Verbose mode: print selected delay and wake-up.

-h | - -help
    Prints the program's command-line parameters and exits.

-v | - -version
    Prints the program version and exits.

EXIT STATUS
The random-sleep tool exits with 0 on success, and >0 in case of an error.

EXAMPLES

random-sleep 0 3600

random-sleep 0 300 --verbose

random-sleep 60.0 120.5 -w

random-sleep 0.10 0.50 --verbose

random-sleep --version

random-sleep --help

SEE ALSO
try-hard(1)

NOTES
This program is part of System-Tools. The latest version of System-Tools can be found on the System-Tools Homepage at System-Tools Homepage: https://www.nntb.no/~dreibh/system-tools/.

AUTHORS
Thomas Dreibholz, Homepage: https://www.nntb.no/~dreibh